<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class overrides Kohana's Auth so that we can login to TSM
 *
 * @package    PTA/Modifications
 * @subpackage Auth
 * @category   Overrides
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Auth_ORM extends Kohana_Auth_ORM {
	// Override Kohana Auth requirement to have a hash_key
	public function hash($str) {
		switch ($this->_config['hash_method']) {
			case '' : return $str;
			case 'md5': return md5($str);
			default: return hash_hmac($this->_config['hash_method'], $str, $this->_config['hash_key']);
		}
	}

	// Override Kohana logged_in() - if we can get the user, we are logged in.
	public function logged_in($role = NULL, $all_required = TRUE) {
		return NULL !== $this->get_user();
	}
}
?>
